﻿<style>
    .AddCompanyAddress_TableRow
    {
        height: 30px;
        vertical-align: top;
    }

    .AddCompanyAddress_CommentTableRow
    {
        height: 90px;
        vertical-align: top;
    }

    .AddCompanyAddress_LabelColumn
    {
        width: 130px;
    }

</style>

<div style="padding: 10px">
    <table style="width: 100%">
        <tr class="AddCompanyAddress_TableRow">
            <td class="AddCompanyAddress_LabelColumn">
                Company:
            </td>
            <td>
                <div id="AddCompanyAddress_CompanyName"></div>
            </td>
        </tr>
        <tr class="AddCompanyAddress_TableRow">
            <td class="AddCompanyAddress_LabelColumn">
                Street:
            </td>
            <td>
                <textarea class="k-textbox" id="AddCompanyAddress_Street" rows="3" style="width:320px; resize: none;"/>
            </td>
        </tr>
        <tr  class="AddCompanyAddress_TableRow">
            <td class="AddCompanyAddress_LabelColumn">
                City/Town:
            </td>
            <td>
                <input type="text" class="k-textbox"  id="AddCompanyAddress_City" maxlength="50" style="width:320px">
            </td>
        </tr>
        <tr  class="AddCompanyAddress_TableRow">
            <td class="AddCompanyAddress_LabelColumn">
                County/State:
            </td>
            <td>
                <input type="text" class="k-textbox"  id="AddCompanyAddress_County" maxlength="50" style="width:320px">
            </td>
        </tr>
        <tr  class="AddCompanyAddress_TableRow">
            <td class="AddCompanyAddress_LabelColumn">
                Post Code/ZIP:
            </td>
            <td>
                <table cellspacing="0" cellpadding="0" style="width:320px; ">
                    <tr>
                        <td style="width:122px">
                            <input type="text" class="k-textbox"  id="AddCompanyAddress_PostCode" maxlength="10" style="width: 120px; text-transform: uppercase" >
                        </td>
                        <td >
                            &nbsp;
                        </td>
                        <td style="width:66px">
                            <button id="buttonLeft" class="k-button k-state-default" style="width:65px" onclick="PostCodeLookup()" title="Post Code Lookup">
                                Lookup
                            </button>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr class="AddCompanyAddress_TableRow">
            <td class="AddCompanyAddress_LabelColumn">
                Country:
            </td>
            <td>
                <input id="AddCompanyAddress_Country" style="width:320px" />
            </td>
        </tr>
        <tr  class="AddCompanyAddress_TableRow">
            <td class="AddCompanyAddress_LabelColumn">
                Tel No:
            </td>
            <td>
                <input type="text" class="k-textbox"  id="AddCompanyAddress_TelNo" maxlength="20" style="width:320px">
            </td>
        </tr>
        <tr  class="AddCompanyAddress_TableRow">
            <td class="AddCompanyAddress_LabelColumn">
                Fax No:
            </td>
            <td>
                <input type="text" class="k-textbox"  id="AddCompanyAddress_FaxNo" maxlength="20" style="width:320px">
            </td>
        </tr>        
        
    </table>

</div>

<script type="text/javascript">

    // We are loaded dynamically within a modal pop-up so display our data now
    $(document).ready(function ()
    {
        //TriSysApex.UI.CurrentShowMessageParameters.OnLoadCallback();
    });

    function PostCodeLookup()
    {
        TriSysSDK.PostCode.Lookup("AddCompanyAddress_PostCode", "AddCompanyAddress_Street", "AddCompanyAddress_City", "AddCompanyAddress_County", "AddCompanyAddress_Country");
    }

</script>